Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class RPEndPointTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.RPEndPointTO

All Implemented Interfaces:
  Serializable

public class RPEndPointTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`RPEndPointTO()`
`RPEndPointTO(String formAction, String formId, String formName, String url)`

Method Summary
`boolean` | `equals(Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String` | `getFormAction()` Gets the formAction value for this RPEndPointTO.
`String` | `getFormId()` Gets the formId value for this RPEndPointTO.
`String` | `getFormName()` Gets the formName value for this RPEndPointTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`String` | `getUrl()` Gets the url value for this RPEndPointTO.
`int` | `hashCode()`
`void` | `setFormAction(String formAction)` Sets the formAction value for this RPEndPointTO.
`void` | `setFormId(String formId)` Sets the formId value for this RPEndPointTO.
`void` | `setFormName(String formName)` Sets the formName value for this RPEndPointTO.
`void` | `setUrl(String url)` Sets the url value for this RPEndPointTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPEndPointTO

    public RPEndPointTO()

### RPEndPointTO

    public RPEndPointTO(String formAction,
                        String formId,
                        String formName,
                        String url)

Method Detail

### getFormAction

    public String getFormAction()

  Gets the formAction value for this RPEndPointTO.

  Returns:
    formAction

### setFormAction

    public void setFormAction(String formAction)

  Sets the formAction value for this RPEndPointTO.

  Parameters:
    `formAction` -

### getFormId

    public String getFormId()

  Gets the formId value for this RPEndPointTO.

  Returns:
    formId

### setFormId

    public void setFormId(String formId)

  Sets the formId value for this RPEndPointTO.

  Parameters:
    `formId` -

### getFormName

    public String getFormName()

  Gets the formName value for this RPEndPointTO.

  Returns:
    formName

### setFormName

    public void setFormName(String formName)

  Sets the formName value for this RPEndPointTO.

  Parameters:
    `formName` -

### getUrl

    public String getUrl()

  Gets the url value for this RPEndPointTO.

  Returns:
    url

### setUrl

    public void setUrl(String url)

  Sets the url value for this RPEndPointTO.

  Parameters:
    `url` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD